Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.movies.media
Class StreamMedia

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.movies.media.Media
                  |
                  +--quicktime.std.movies.media.StreamMedia

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class StreamMedia
extends Media

The StreamMedia class repesents base media in QuickTime.

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`StreamMedia(Track itsTrack, int timeScale)` This constructor creates a media struct for the specified Track object.
`StreamMedia(Track itsTrack, int timeScale, DataRef dataRef)` This constructor creates a media struct for the specified Track object.

Method Summary
`StreamDescription` | `getStreamDescription(int index)` This method allows you to retrieve a sample description from a media.
`StreamMediaHandler` | `getStreamHandler()` This method allows you to obtain a reference to a media handler component.

Methods inherited from class quicktime.std.movies.media.Media
`addDataRef, addSample, addSampleReference, addSampleReference, beginEdits, endEdits, fromTrack, getCreationTime, getDataHandler, getDataHandlerDescription, getDataRef, getDataRefCount, getDataSize, getDuration, getHandler, getHandlerDescription, getInputMap, getLanguage, getModificationTime, getNextInterestingTime, getPlayHints, getPlayHints, getPreferredChunkSize, getPropertyAtom, getQuality, getSample, getSampleCount, getSampleDescription, getSampleDescriptionCount, getSampleReference, getSampleReferences, getShadowSync, getSyncSampleCount, getTimeScale, getTrack, getTrackMedia, getUserData, loadIntoRam, newFromType, sampleNumToMediaTime, setDataHandler, setDataRef, setDataRefAttributes, setDefaultDataRefIndex, setHandler, setInputMap, setLanguage, setPlayHints, setPreferredChunkSize, setPropertyAtom, setQuality, setSampleDescription, setShadowSync, setTimeScale, timeToSampleNum`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID, toString`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StreamMedia

    public StreamMedia(Track itsTrack,
                       int timeScale,
                       DataRef dataRef)
                throws QTException

  This constructor creates a media struct for the specified Track object.
  QuickTime::NewTrackMedia()
Parameters:
  `itsTrack` - Specifies the Track object this media belongs to.
  `timeScale` - Specifies the time scale of the new media.
  `dataRef` - a DataRef object specifying the default data reference for this media.

### StreamMedia

    public StreamMedia(Track itsTrack,
                       int timeScale)
                throws QTException

  This constructor creates a media struct for the specified Track object.
  QuickTime::NewTrackMedia()
Parameters:
  `itsTrack` - Specifies the Track object this media belongs to.
  `timeScale` - Specifies the time scale of the new media.

Method Detail

### getStreamHandler

    public StreamMediaHandler getStreamHandler()
                                        throws StdQTException

  This method allows you to obtain a reference to a media handler component. This returns the handler that is the appropriate class for this particular media.
  QuickTime::GetMediaHandler()
Returns:
  a MediaHandler object for the media's media handler.

### getStreamDescription

    public StreamDescription getStreamDescription(int index)
                                           throws QTException

  This method allows you to retrieve a sample description from a media. This returns the description that is the appropriate class for this particular media.
  QuickTime::GetMediaSampleDescription()
Parameters:
  `index` - Specifies the index of the description to retrieve.
Returns:
  a StreamDescription object for the specified index.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD